arrow-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Uwe L. Korn" <uw...@xhochy.com>
Subject Re: CMake refactor Heads-up
Date Sat, 16 Mar 2019 08:35:32 GMT
Hello Suvayu,

On Fri, Mar 15, 2019, at 10:08 PM, Suvayu Ali wrote:
> Is there a recommended way to choose between Python versions?  Fedora 
> repos often provide several Python versions, e.g. on F28 I have 2.7 
> (default), 3.6, and 3.7.  The correct Python version was detected for 
> me with:
> 
>   -DPYTHON_EXECUTABLE:FILEPATH=/usr/bin/python3.6m
> 
> Is this fine?  Or should there be an easier way to do this?

This is the recommended way to set the correct Python version. We could probably also add
a toggle to require a specific version but the interpreter path is the most trusful way of
specify a Python version. It helps in situations to detect the correct one where you may have
multiple Python installations of e.g. version 3.6.

Uwe

Mime
View raw message